Legacy vRack
All operations require authentication.
List legacy vRacks (deprecated). Returns the legacy vRacks (vrackXXXX) bridged in the vRack.Deprecated
Deprecated since Sep 7, 2026, will be removed on Oct 7, 2026.
Path parameters
The internal name of your vrack
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ legacyVrack \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a legacy vRack (deprecated). Returns the bridged legacy vRack.Deprecated
Deprecated since Sep 7, 2026, will be removed on Oct 7, 2026.
Path parameters
your legacy vrack service
The internal name of your vrack
Response
your legacy vrack service
vlan to set on legacy vrack equipments
Example uses legacyVrack = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ legacyVrack/ {legacyVrack} \
-H "authorization: Bearer $OVH_TOKEN"{ "legacyVrack": "string", "vlanId": 0}
Attach a legacy vRack (deprecated)Deprecated
Deprecated since Sep 7, 2026, will be removed on Oct 7, 2026.
Attach a legacy vRack (deprecated). Bridges a legacy vRack (vrackXXXX) in the vRack (pn-XXXX). Returns the task that performs it.
Path parameters
The internal name of your vrack
Request body (required)
Response
Task status
cancelleddoingdoneinittodoExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ legacyVrack \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}
Detach a legacy vRack (deprecated)Deprecated
Deprecated since Sep 7, 2026, will be removed on Oct 7, 2026.
Detach a legacy vRack (deprecated). Removes the legacy vRack from the vRack. Returns the task that performs it.
Path parameters
your legacy vrack service
The internal name of your vrack
Response
Task status
cancelleddoingdoneinittodoExample uses legacyVrack = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ legacyVrack/ {legacyVrack} \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}